<div class="banner-interno" fxLayout="row wrap" fxLayoutAlign="center end" fxLayoutAlign.gt-sm="start end">

    <div fxFlex="100">
        <div class="container">
            <h1>Productos</h1>
        </div>
    </div>

</div>
<div class="container">
    <div fxLayout="row wrap" fxLayoutAlign.gt-md="start stretch" fxLayoutAlign="start center" fxLayoutGap.gt-md="2%">
        <div fxFlex="98" class="filters-left" style="position:relative">
            <mat-divider></mat-divider>
            <div fxLayout="row wrap" fxLayoutAlign="end center">
                <button mat-button class="animated fadeInUp fast" matRipple *ngFor="let categoriaproducto of categoriaproducto" (click)="filterListProd(categoriaproducto.nombre)">
                    <p mat-line>{{categoriaproducto.nombre | uppercase}}</p>
                </button>
                <div matTooltip="Filtrar por categoría">
                    <button color="secondary" disabled mat-icon-button color="primary" aria-label="Example icon-button with a heart icon">
                  <mat-icon>filter_list</mat-icon>
                </button>
                </div>
            </div>
            <mat-divider></mat-divider>
            <!-- <mat-accordion #menuFloat>
                <mat-expansion-panel [expanded]="expand" [ngClass]="{'fixedLeftMenu': stickyLeftMenu}" [disabled]="expand" #mep="matExpansionPanel" class="filter-left-menu">
                    <mat-expansion-panel-header>
                        <mat-panel-title>
                            <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="15px">
                                <mat-spinner *ngIf="showLoadCat" diameter="20"></mat-spinner> <span>CATEGORÍAS</span>
                            </div>
                        </mat-panel-title>
                    </mat-expansion-panel-header>
                    <mat-panel-description class="links-items">
                        <mat-action-list>
                            <button mat-list-item class="animated fadeInDown faster" matRipple *ngIf="showBackFilter" (click)="mep.expanded = this.hideExp; getAllProducts()">
                              <mat-icon mat-list-icon>first_page</mat-icon>
                              <p mat-line>MOSTRAR TODOS</p>
                            </button>
                            <mat-divider class="animated zoomIn fast" *ngIf="showBackFilter"></mat-divider>
                            <button mat-list-item class="animated fadeInUp fast" matRipple *ngFor="let categoriaproducto of categoriaproducto" (click)="mep.expanded = this.hideExp; filterListProd(categoriaproducto.nombre)">
                                <p mat-line>{{categoriaproducto.nombre | uppercase}}</p>
                            </button>
                        </mat-action-list>
                    </mat-panel-description>
                </mat-expansion-panel>
            </mat-accordion> -->
        </div>

        <div fxFlex="98" #contentCatalogo>
            <div class="titulo-catalogo">
                <mat-toolbar fxLayoutGap="10px">
                    <mat-spinner *ngIf="showLoad" diameter="20"></mat-spinner> <span>CATÁLOGO</span>
                </mat-toolbar>
            </div>
            <br/>

            <div fxLayout="row wrap" fxLayoutAlign="center center" fxLayoutAlign.gt-xs="space-between start" infiniteScroll [infiniteScrollDistance]="2" [infiniteScrollThrottle]="50" (scrolled)="onScroll()">
                <ng-container *ngFor="let producto of allProducts">
                    <app-productmin class="animated zoomIn faster" [urlPublic]="urlPublicEnv" [data]="producto" fxFlex.xs="100" fxFlex.gt-xs="48" fxFlex.gt-md="32.3"></app-productmin>
                </ng-container>
            </div>

            <!-- loading -->
            <div *ngIf="loadProducts" fxLayout="row" fxLayoutAlign="center center" style="padding:20px 0">
                <mat-progress-bar class="loading-products" mode="indeterminate" fxFlex.gt-xs="20" fxFlex="40"></mat-progress-bar>
            </div>
            <br><br><br>
        </div>
    </div>
</div>
